pip 10.0.* prevents building xenial image for heat

Bug #1773158 reported by Resul Serkan Keskin on 2018-05-24
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
diskimage-builder
Undecided
Unassigned

Bug Description

Tried to run this:

pip install git+https://git.openstack.org/openstack/diskimage-builder
git clone -b stable/pike https://git.openstack.org/openstack/tripleo-image-elements
git clone -b stable/pike https://git.openstack.org/openstack/heat-agents
export ELEMENTS_PATH=tripleo-image-elements/elements:heat-agents
disk-image-create vm \
    ubuntu selinux-permissive \
    heat-config \
    os-collect-config \
    os-refresh-config \
    os-apply-config \
    heat-config-cfn-init \
    heat-config-ansible \
    heat-config-script \
    -o ubuntu-software-config.qcow2

Got this:

2018-05-24 11:43:33.777 | Installing collected packages: pbr, PrettyTable, pytz, pyparsing, funcsigs, wrapt, debtcollector, iso8601, Babel, oslo.i18n, netifaces, monotonic, oslo.utils, msgpack, oslo.serialization, certifi, chardet, idna, urllib3, requests, futures, python-swiftclient, PyYAML, stevedore, pyperclip, contextlib2, enum34, wcwidth, subprocess32, cmd2, unicodecsv, cliff, dogpile.cache, munch, appdirs, jsonpointer, jsonpatch, jmespath, os-service-types, keystoneauth1, packaging, deprecation, requestsexceptions, ipaddress, decorator, openstacksdk, os-client-config, simplejson, osc-lib, python-heatclient, python-dateutil, pyinotify, oslo.context, rfc3986, oslo.config, oslo.log, functools32, jsonschema, python-zaqarclient
2018-05-24 11:43:34.779 | Found existing installation: PyYAML 3.11
2018-05-24 11:43:34.870 | Cannot uninstall 'PyYAML'. It is a distutils installed project and thus we cannot accurately determine which files belong to it which would lead to only a partial uninstall.
2018-05-24 11:43:35.604 | Traceback (most recent call last):
2018-05-24 11:43:35.604 | File "/home/vagrant/.local/bin/dib-block-device", line 6, in <module>
2018-05-24 11:43:35.604 | from diskimage_builder.block_device.cmd import main
2018-05-24 11:43:35.604 | ImportError: No module named 'diskimage_builder'

Fixed with adding "pip install pip==9.0.*" at the end of else block for ubuntu (line 187) in this file:

diskimage_builder/elements/pip-and-virtualenv/install.d/pip-and-virtualenv-source-install/04-install-pip

Changed in diskimage-builder:
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers